Subject: Re: bug#57399: etiquette / GPL question

From: Paul Eggert <[email-masked]>
Date: Thu, 25 Aug 2022 10:21:09 -0500

On 8/24/22 22:55, Terence Kelly wrote:
> (Plan Zero)  Write a little shell script that (a) downloads the 
> grep-3.7 tarball, (b) unpacks it, (c) applies a small patch to a 
> single .c source file, which adds roughly ten new lines of code, (d) 
> builds the grep executable by calling ./configure, make, and make 
> check, (e) applies my stand-alone general-purpose Munger tool to the 
> grep executable, and (f) runs the resulting "munged" executable to 
> show how my Munger tool changes the behavior of grep.
>
> I'm happy to apply GPL to the script described above.  My reading of 
> GPL is that a stand-alone general-purpose tool like my Munger need not 
> be GPL'd merely because it touches the grep executable. (I might apply 
> a GNU license such as Affero to the Munger tool anyway; I haven't 
> decided yet.)
>
> I'd also be happy to arrange for the patch applied in step (c) above 
> to insert a notice that the affected .c source file has been modified. 

This all sounds good. One little thing: the step (3) notice must contain 
a relevant date, as per GPL section 5(a).

Thanks for asking about this.